DaVinci Developer 4.6.30 SP1

Contains the complete installation of DaVinci Developer 4.6.30 (SP1). For the operation a license of version 4.6 or higher is necessary. In case an according license is already activated on your PC no further renewal of this activation is necessary. This release is only relevant for AUTOSAR 4. AUTOSAR 3 is supported by DaVinci Developer Version 3.7 or previous releases.

With 4.6 Service Pack 1 (Update to 4.6 Build 30), the following changes become effective:

Tool features

  • Data prototype mappings can now be defined for individual array elements in combination with bitfield textable mappings

Usability enhancements

  • 'Create Port from Signal' creates variant data mappings for trigger ports when the originating signal itself is variant

Fixed issues

  • 'Create Port from Signal' might have created data constraints with neither a physical nor an internal constraint
  • 'Create Port from Signal' might have created data constraint limits which exceeded the compu method's range
  • A project update removed client/server data mappings when different signals were mapped to the same port
  • An exception was thrown when the direction of a data mapped port was changed from "receiver" to "sender/receiver"
  • Check message #40152, complaining about an inconsistent data mapping, was shown when a signal's signal type was not set


More about DaVinci Developer...

Category : Service Pack
Size : 265.03 MB
MD5 hash : 8435d1958770b3b97b43a869956ac8bb
Download now Previous